Java (SDK)
package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.components.UpdateUserRequest;
import org.openapis.openapi.models.errors.ErrorResponse;
import org.openapis.openapi.models.operations.UpdateMeResponse;
public class Application {
public static void main(String[] args) throws ErrorResponse, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
UpdateUserRequest req = UpdateUserRequest.builder()
.build();
UpdateMeResponse res = sdk.users().updateMe()
.request(req)
.call();
if (res.updateUserResponse().isPresent()) {
// handle response
}
}
}curl --request PATCH \
--url https://api.tradearies.dev/v1/users/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"plaid_status": "PENDING",
"account_application": {
"submit": true
}
}
'import requests
url = "https://api.tradearies.dev/v1/users/me"
payload = {
"plaid_status": "PENDING",
"account_application": { "submit": True }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({plaid_status: 'PENDING', account_application: {submit: true}})
};
fetch('https://api.tradearies.dev/v1/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"email": "<string>",
"country": "<string>",
"plaid_status": "<string>",
"account_application": {
"id": 123,
"can_submit": true,
"missing_fields": [
"<string>"
],
"plaid_link_token": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"codes": [
{
"code": "<string>",
"description": "<string>"
}
]
}Users
Update Current User
Updates the currently authenticated user. Supports partial updates including account application data.
PATCH
/
v1
/
users
/
me
Java (SDK)
package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.components.UpdateUserRequest;
import org.openapis.openapi.models.errors.ErrorResponse;
import org.openapis.openapi.models.operations.UpdateMeResponse;
public class Application {
public static void main(String[] args) throws ErrorResponse, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
UpdateUserRequest req = UpdateUserRequest.builder()
.build();
UpdateMeResponse res = sdk.users().updateMe()
.request(req)
.call();
if (res.updateUserResponse().isPresent()) {
// handle response
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I